<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<!--
IGAC proyecto SNC

@author 			javier.aponte 
@version			2.0
@description 		Pantalla que permite ingresar los datos correspondientes 
                    a proyecto lote casa / lote para registrar 
                    ofertas inmobiliarias de proyectos
                    CU-SA-AC-014 Registrar Ofertas de Mercado Inmobiliario Usados
                    Todos los id's de los componentes terminan en LCL: Lote Casa Lote
@cu 			CU-AV-O-01
@param				proyectoLoteCasaLoteParam: 	Objeto de tipo OfertaInmobiliaria que almacenará los 
                    valores de todo el formulario. 
@param				currentManagedBeanParam:  MB que contiene las opciones de registro de oferta 
                    inmobiliaria

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" id="proyectoLoteCasaLoteId"
             columns="1" rendered="#{currentManagedBeanParam.banderaLoteCasaLote}">

    <h:panelGrid columns="6" cellspacing="7" width="100%"
                 columnClasses="colMediana, colPequena, colSeparador, colMediana, colPequena, colSeparador">

        <h:outputLabel value="Área construcción / área privada (m2):"
                       for="areaConstruccionAreaPrivadaLCL" styleClass="outputLabelStyle" />
        <h:inputText id="areaConstruccionAreaPrivadaLCL" maxlength="10"
                     label="Área Construcción / Área Privada"
                     value="#{proyectoLoteCasaLoteParam.areaConstruccion}" />
        <p:spacer />

        <h:panelGroup
            rendered="#{!currentManagedBeanParam.banderaPropiedadHorizontal}">
            <h:outputLabel value="Área terreno (m2):" for="areaTerrenoCASH"
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="0"
                     rendered="#{!currentManagedBeanParam.banderaPropiedadHorizontal}">
            <h:inputText id="areaTerrenoLCL" maxlength="10" label="Área Terreno"
                         value="#{proyectoLoteCasaLoteParam.areaTerreno}">
                <f:validateDoubleRange minimum="1.0" />
            </h:inputText>
            <p:message for="areaTerrenoLCL" display="icon" />
        </h:panelGrid>
        <p:spacer
            rendered="#{!currentManagedBeanParam.banderaPropiedadHorizontal}" />

        <p:spacer
            rendered="#{currentManagedBeanParam.banderaPropiedadHorizontal}" />
        <p:spacer
            rendered="#{currentManagedBeanParam.banderaPropiedadHorizontal}" />
        <p:spacer
            rendered="#{currentManagedBeanParam.banderaPropiedadHorizontal}" />

        <h:outputLabel value="Área total construida (catastral) (m2):"
                       for="areaTotalConstruidaLCL" styleClass="outputLabelStyle" />
        <h:outputText id="areaTotalConstruidaLCL" 
                      value="#{proyectoLoteCasaLoteParam.areaTotalConstruccionCata}" />
        <p:spacer />

        <h:outputLabel value="Área total terreno (catastral) (m2):"
                       for="areaTotalTerrenoLCL" styleClass="outputLabelStyle" />
        <h:outputText id="areaTotalTerrenoLCL" 
                      value="#{proyectoLoteCasaLoteParam.areaTotalTerrenoCatastral}" />
        <p:spacer />

        <h:panelGroup
            rendered="#{!currentManagedBeanParam.banderaPropiedadHorizontal}">
            <h:outputLabel value="Forma lote:" for="formaLoteLCL"
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="0"
                     rendered="#{!currentManagedBeanParam.banderaPropiedadHorizontal}">
            <h:selectOneMenu id="formaLoteLCL" label="Forma Lote"
                             value="#{proyectoLoteCasaLoteParam.formaLote}" required="true">
                <f:selectItem itemLabel="Seleccionar..." />
                <f:selectItems value="#{general.ofertaFormaLoteV}" />
                <p:ajax update=":registroOfertaInmobiliariaFormId:infoLote" />
            </h:selectOneMenu>
            <p:message for="formaLoteLCL" display="icon" />
        </h:panelGrid>
        <p:spacer
            rendered="#{!currentManagedBeanParam.banderaPropiedadHorizontal}" />

        <h:panelGroup>
            <h:outputLabel value="Tipo lote: " for="tipoLoteLCL"
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="0">
            <h:selectOneMenu id="tipoLoteLCL" label="Tipo Lote"
                             value="#{proyectoLoteCasaLoteParam.tipoLote}" required="true">
                <f:selectItem itemLabel="Seleccionar..." />
                <f:selectItems value="#{general.ofertaTipoLoteV}" />
            </h:selectOneMenu>
            <p:message for="tipoLoteLCL" display="icon" />
        </h:panelGrid>
        <p:spacer />

    </h:panelGrid>
    <h:panelGrid columns="6" cellspacing="7" width="100%" id="infoLote"
                 columnClasses="colMediana, colPequena, colSeparador, colMediana, colPequena, colSeparador">

        <h:outputLabel value="Frente lote:" for="frenteLoteLCL"
                       styleClass="outputLabelStyle"
                       rendered="#{currentManagedBeanParam.activarFondoLote}" />
        <h:inputText id="frenteLoteLCL" maxlength="10" label="Frente Lote"
                     value="#{proyectoLoteCasaLoteParam.frenteLote}"
                     rendered="#{currentManagedBeanParam.activarFondoLote}" />
        <p:spacer rendered="#{currentManagedBeanParam.activarFondoLote}" />

        <h:outputLabel id="fondoLoteLCLa" value="Fondo lote:"
                       for="fondoLoteLCL" styleClass="outputLabelStyle"
                       rendered="#{currentManagedBeanParam.activarFondoLote}" />
        <h:inputText id="fondoLoteLCL" maxlength="10" label="Fondo Terreno"
                     value="#{proyectoLoteCasaLoteParam.fondoLote}"
                     rendered="#{currentManagedBeanParam.activarFondoLote}" />
        <p:spacer />
    </h:panelGrid>
</h:panelGrid>
